Bug 519265 - Nautilus Open With.. uses multiple instances of Gvim instead of one for multi-file selections
Summary: Nautilus Open With.. uses multiple instances of Gvim instead of one for multi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 21:05 UTC by Scott R. Godin
Modified: 2009-12-22 04:59 UTC (History)
1 user (show)

Fixed In Version: 7.2.315-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-03 09:37:08 UTC


Attachments (Terms of Use)
patch to correct desktop entry issue for multiple file selections in nautilus (580 bytes, patch)
2009-08-25 21:05 UTC, Scott R. Godin
no flags Details | Diff

Description Scott R. Godin 2009-08-25 21:05:34 UTC
Created attachment 358634 [details]
patch to correct desktop entry issue for multiple file selections in nautilus 

Description of problem: Nautilus opens several separate instances of gvim when you choose "open with.. vim" from the right-click menu, when you have several files selected in the nautilus window, instead of using a single instance


Version-Release number of selected component (if applicable):
vim-X11-7.2.148-1.fc11.i586

How reproducible:
every time


Steps to Reproduce:
1. open a nautilus window on a folder with several text files
2. drag-select more than one, or control-click to select more than one
3. choose Open With... and from the popup, choose Vi iMproved
  
Actual results:
nautilus opens a separate instance of gvim for each file

Expected results:
gvim opens all files in one instance, which you switch around using buffer commands or the buffers menu at the top.

Additional info:
changing %f to %F in the /usr/share/applications/fedora-gvim.desktop file as per the Desktop Entry Specifications at http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html#exec-variables  solves the problem

patch attached

Comment 1 Karsten Hopp 2009-12-03 09:37:08 UTC
This will be fixed in vim-7.2-314 or newer

Comment 2 Fedora Update System 2009-12-03 14:29:15 UTC
vim-7.2.315-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc12

Comment 3 Fedora Update System 2009-12-03 14:29:54 UTC
vim-7.2.315-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc11

Comment 4 Fedora Update System 2009-12-03 14:30:33 UTC
vim-7.2.315-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vim-7.2.315-1.fc10

Comment 5 Fedora Update System 2009-12-22 04:43:24 UTC
vim-7.2.315-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-12-22 04:59:09 UTC
vim-7.2.315-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.